# Get integration mapping metadata for a unified-model resource method

> Source: https://truto.one/docs/api-reference/unified-api/unified-model-docs/get/

`GET /unified/{model_name}/{resource_name}/{integration_name}/meta/{method}`

Resource: **Unified Model Docs** · API: **Unified API**

## Path parameters

- **`model_name`** _(string, required)_
  The name of the unified model (e.g. `crm`).
- **`resource_name`** _(string, required)_
  The name of the resource within the model (e.g. `contacts`).
- **`integration_name`** _(string, required)_
  The name of the integration to inspect the mapping for (e.g. `salesforce`).
- **`method`** _(string, required)_
  The unified method (e.g. `list`, `get`, `create`, `update`, `delete`).

## Response body

- **`method`** _(string)_
  The unified method this metadata describes.
- **`schema`** _(object, required)_
  The unified-model resource JSON schema.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`documentation_link`** _(string)_
  Vendor documentation URL for this method, if set on the integration mapping.
- **`response_schema`** _(object, required)_
  A subset of `schema` containing only the fields actually populated by `response_mapping` for this integration.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`query_schema`** _(object, required)_
  JSON-schema-style description of the supported query parameters for this method.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`request_body_schema`** _(object, required)_
  JSON-schema-style description of the supported request body for this method.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`default_query`** _(object)_
  Default query parameters always applied by the integration mapping. Values may be templated JSONata expressions.
- **`default_body`** _(object)_
  Default request body always applied by the integration mapping. Values may be templated JSONata expressions. Object or `null` (arrays are allowed at runtime but rare).

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/{model_name}/{resource_name}/{integration_name}/meta/{method}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  '',
  'unified_model_docs',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "",
        "unified_model_docs",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
